@mixin styles {
	--sem-dimension-component-small-height: var(--core-dimension-dimension-200);
	--sem-dimension-component-small-width: var(--core-dimension-dimension-200);
	--sem-dimension-component-small-border-radius: var(--core-dimension-dimension-25);
	--sem-dimension-component-small-border-width: 0.0625rem;
	--sem-dimension-component-small-padding-horizontal-default: var(--core-dimension-dimension-100);
	--sem-dimension-component-small-padding-horizontal-leading-icon: var(--core-dimension-dimension-50);
	--sem-dimension-component-small-padding-horizontal-trailing-icon: var(--core-dimension-dimension-50);
	--sem-dimension-component-medium-border-radius: var(--core-dimension-dimension-50);
	--sem-dimension-component-medium-border-width: 0.125rem;
	--sem-opacity-component-disabled: 0.38;
	--sem-opacity-tint-hover: 0.1;
	--sem-opacity-tint-active: 0.2;
	--sem-opacity-tint-disabled: 0;
	--sem-opacity-text-high-emphasis: 0.8;
	--sem-opacity-text-medium-emphasis: 0.6;
	--sem-opacity-text-disabled: 0.4;
	--sem-typography-button-font: var(--core-typography-font);
	--sem-typography-button-weight: var(--core-typography-weight-medium);
	--sem-typography-button-size: var(--core-typography-font-size-75);
	--sem-typography-button-line-height: 1.25rem;
	--sem-typography-button-letter-spacing: 0.007142857249294009rem;
	--sem-typography-headline-large-font: var(--core-typography-font);
	--sem-typography-headline-large-size: var(--core-typography-font-size-800);
	--sem-typography-headline-large-weight: var(--core-typography-weight-medium);
	--sem-typography-headline-large-line-height: 2.25rem;
	--sem-typography-headline-large-letter-spacing: 0.007142857249294009rem;
	--sem-typography-headline-medium-font: var(--core-typography-font);
	--sem-typography-headline-medium-size: var(--core-typography-font-size-700);
	--sem-typography-headline-medium-weight: var(--core-typography-weight-medium);
	--sem-typography-headline-medium-line-height: 2.25rem;
	--sem-typography-headline-medium-letter-spacing: 0.007142857249294009rem;
	--sem-typography-headline-small-font: var(--core-typography-font);
	--sem-typography-headline-small-size: var(--core-typography-font-size-600);
	--sem-typography-headline-small-weight: var(--core-typography-weight-medium);
	--sem-typography-headline-small-line-height: 2.25rem;
	--sem-typography-headline-small-letter-spacing: 0.007142857249294009rem;
	--sem-typography-title-large-font: var(--core-typography-font);
	--sem-typography-title-large-size: var(--core-typography-font-size-600);
	--sem-typography-title-large-weight: var(--core-typography-weight-normal);
	--sem-typography-title-large-line-height: 1.75rem;
	--sem-typography-title-large-letter-spacing: 0rem;
	--sem-typography-title-medium-font: var(--core-typography-font);
	--sem-typography-title-medium-size: var(--core-typography-font-size-500);
	--sem-typography-title-medium-weight: var(--core-typography-weight-normal);
	--sem-typography-title-medium-line-height: 1.75rem;
	--sem-typography-title-medium-letter-spacing: 0rem;
	--sem-typography-title-small-font: var(--core-typography-font);
	--sem-typography-title-small-size: var(--core-typography-font-size-400);
	--sem-typography-title-small-weight: var(--core-typography-weight-normal);
	--sem-typography-title-small-line-height: 1.75rem;
	--sem-typography-title-small-letter-spacing: 0rem;
	--sem-typography-subtitle-large-font: var(--core-typography-font);
	--sem-typography-subtitle-large-size: var(--core-typography-font-size-400);
	--sem-typography-subtitle-large-weight: var(--core-typography-weight-medium);
	--sem-typography-subtitle-large-line-height: 1.5rem;
	--sem-typography-subtitle-large-letter-spacing: 0.00937500037252903rem;
	--sem-typography-subtitle-medium-font: var(--core-typography-font);
	--sem-typography-subtitle-medium-size: var(--core-typography-font-size-300);
	--sem-typography-subtitle-medium-weight: var(--core-typography-weight-medium);
	--sem-typography-subtitle-medium-line-height: 1.5rem;
	--sem-typography-subtitle-medium-letter-spacing: 0.00937500037252903rem;
	--sem-typography-subtitle-small-font: var(--core-typography-font);
	--sem-typography-subtitle-small-size: var(--core-typography-font-size-200);
	--sem-typography-subtitle-small-weight: var(--core-typography-weight-medium);
	--sem-typography-subtitle-small-line-height: 1.5rem;
	--sem-typography-subtitle-small-letter-spacing: 0.00937500037252903rem;
	--sem-typography-body-large-font: var(--core-typography-font);
	--sem-typography-body-large-size: var(--core-typography-font-size-200);
	--sem-typography-body-large-weight: var(--core-typography-weight-normal);
	--sem-typography-body-large-line-height: 1.25rem;
	--sem-typography-body-large-letter-spacing: 0.017857142857142856rem;
	--sem-typography-body-medium-font: var(--core-typography-font);
	--sem-typography-body-medium-size: var(--core-typography-font-size-100);
	--sem-typography-body-medium-weight: var(--core-typography-weight-normal);
	--sem-typography-body-medium-line-height: 1.25rem;
	--sem-typography-body-medium-letter-spacing: 0.017857142857142856rem;
	--sem-typography-body-small-font: var(--core-typography-font);
	--sem-typography-body-small-size: var(--core-typography-font-size-75);
	--sem-typography-body-small-weight: var(--core-typography-weight-normal);
	--sem-typography-body-small-line-height: 1.25rem;
	--sem-typography-body-small-letter-spacing: 0.017857142857142856rem;
	--sem-typography-label-large-font: var(--core-typography-font);
	--sem-typography-label-large-size: var(--core-typography-font-size-75);
	--sem-typography-label-large-weight: var(--core-typography-weight-medium);
	--sem-typography-label-large-line-height: 1rem;
	--sem-typography-label-large-letter-spacing: 0.041666666666666664rem;
	--sem-typography-label-medium-font: var(--core-typography-font);
	--sem-typography-label-medium-size: var(--core-typography-font-size-50);
	--sem-typography-label-medium-weight: var(--core-typography-weight-medium);
	--sem-typography-label-medium-line-height: 1rem;
	--sem-typography-label-medium-letter-spacing: 0.041666666666666664rem;
	--sem-typography-label-small-font: var(--core-typography-font);
	--sem-typography-label-small-size: var(--core-typography-font-size-25);
	--sem-typography-label-small-weight: var(--core-typography-weight-medium);
	--sem-typography-label-small-line-height: 1rem;
	--sem-typography-label-small-letter-spacing: 0.041666666666666664rem;
	--sem-color-background-page: var(--core-color-neutral-99);
	--sem-color-background-component-default: var(--core-color-neutral-100);
	--sem-color-background-surface-default: var(--core-color-neutral-100);
	--sem-color-background-primary-default: var(--core-color-primary-40);
	--sem-color-background-primary-hover: var(--core-color-primary-50);
	--sem-color-background-primary-pressed: var(--core-color-primary-30);
	--sem-color-background-primary-disabled: var(--core-color-primary-40);
	--sem-color-background-secondary-pressed: var(--core-color-primary-40);
	--sem-color-border-secondary-default: var(--core-color-neutral-60);
	--sem-color-border-secondary-hover: var(--core-color-primary-40);
	--sem-color-border-secondary-pressed: var(--core-color-primary-40);
	--sem-color-border-secondary-disabled: var(--core-color-neutral-80);
	--sem-color-border-surface-small-default: var(--core-color-neutral-60);
	--sem-color-border-surface-medium-default: var(--core-color-neutral-95);
	--sem-color-text-on-background-default: var(--core-color-neutral-0);
	--sem-color-text-on-surface-default: var(--core-color-neutral-0);
	--sem-color-text-primary-default: var(--core-color-primary-40);
	--sem-color-text-primary-hover: var(--core-color-primary-40);
	--sem-color-text-primary-pressed: var(--core-color-primary-40);
	--sem-color-text-primary-disabled: var(--core-color-primary-40);
	--sem-color-text-on-primary-default: var(--core-color-primary-100);
	--sem-color-text-on-primary-hover: var(--core-color-primary-100);
	--sem-color-text-on-primary-pressed: var(--core-color-primary-100);
	--sem-color-text-secondary-default: var(--core-color-neutral-20);
	--sem-color-text-secondary-hover: var(--core-color-primary-40);
	--sem-color-text-secondary-pressed: var(--core-color-primary-60);
	--sem-color-text-secondary-disabled: var(--core-color-neutral-80);
}